<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="This is a web application for managing the student list">
    <title>Student</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/adaptability.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <script defer src="js/script.js"></script>
</head>
<body>
    <div class="container">
        <header class="header">
            <h1 class="header_title">CMS</h1>
            <div class="user">
                <div id="messages-button" class="messages-icon-container">
                    <svg class="messages_icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path fill="#ffffff" d="M224 0c-17.7 0-32 14.3-32 32V51.2C119 66 64 130.6 64 208v25.4c0 45.4-15.5 89.5-43.8 124.9L5.3 377c-5.8 7.2-6.9 17.1-2.9 25.4S14.8 416 24 416H424c9.2 0 17.6-5.3 21.6-13.6s2.9-18.2-2.9-25.4l-14.9-18.6C399.5 322.9 384 278.8 384 233.4V208c0-77.4-55-142-128-156.8V32c0-17.7-14.3-32-32-32zm0 96c61.9 0 112 50.1 112 112v25.4c0 47.9 13.9 94.6 39.7 134.6H72.3C98.1 328 112 281.3 112 233.4V208c0-61.9 50.1-112 112-112zm64 352H224 160c0 17 6.7 33.3 18.7 45.3s28.3 18.7 45.3 18.7s33.3-6.7 45.3-18.7s18.7-28.3 18.7-45.3z"/></svg>
                </div>
                <div id="userProfileButton" class="user_block">
                    <div class="user_icon_block">
                        <svg class="user_icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--><path d="M304 128a80 80 0 1 0 -160 0 80 80 0 1 0 160 0zM96 128a128 128 0 1 1 256 0A128 128 0 1 1 96 128zM49.3 464H398.7c-8.9-63.3-63.3-112-129-112H178.3c-65.7 0-120.1 48.7-129 112zM0 482.3C0 383.8 79.8 304 178.3 304h91.4C368.2 304 448 383.8 448 482.3c0 16.4-13.3 29.7-29.7 29.7H29.7C13.3 512 0 498.7 0 482.3z"/></svg>
                    </div>
                    <span class="current-user-name">Anton Vorobets</span>
                </div>
            </div>

            <!-- Notifications block -->
            <div id="messages" class="messages-block">

                <div class="message">
                    <div class="message-user">
                        <img src="img/user-icon.png" alt="User" class="message-user-icon">
                        <span class="message-user-name">Admin</span>
                    </div>
                    <div class="message-content"></div>
                </div>

                <div class="message">
                    <div class="message-user">
                        <img src="img/user-icon.png" alt="User" class="message-user-icon">
                        <span class="message-user-name">John. K</span>
                    </div>
                    <div class="message-content"></div>
                </div>

            </div>

            <!-- User profile block -->
            <div id="userProfileBlock" class="user-profile-block">
                <div class="profile-item">Profile</div>
                <div class="profile-item">Log out</div>
            </div>
        </header>
        <main class="content">
            <ul class="menu">
                <li><a href="#" class="menu_item">Dashboard</a></li>
                <li><a href="#" class="menu_item active">Students</a></li>
                <li><a href="#" class="menu_item">Tasks</a></li>
            </ul>
            <div class="table-container">
                <div class="table-header">
                    <h2 class="table_title">Students</h2>
                    <button id="addStudentButton" class="add-student-button">+</button>
                </div>

                <div class="table-scroller">
                    <table id="studentsTable" class="table_students">
                        <tr>
                            <th></th>
                            <th>Group</th>
                            <th>Name</th>
                            <th>Gender</th>
                            <th>Birthday</th>
                            <th>Status</th>
                            <th>Options</th>
                        </tr>
                    </table>
                </div>

            </div>
        </main>
        <nav class="page-navigation-container">
            <div class="page-navigation">
                <div class="page-navigation-item">1</div>
                <div class="page-navigation-item">2</div>
            </div>
        </nav>
    </div>

    <!-- Add Student Form -->
    <div id="addFormContainer" class="student-form">
        <div class="form">
            <div class="title-block">
                <h2 class="title">Add student</h2>
                <button id="closeAddFormButton" class="close-form-button"></button>
            </div>
            <form id="AddStudentForm" action="students.html" class="form-input-container">

                <label class="form-input-label">Group:</label>
                <select name="group" id="addGroupSelect" class="group-select">
                    <option value="PZ-21">ПЗ-21</option>
                    <option value="PZ-22">ПЗ-22</option>
                    <option value="PZ-23">ПЗ-23</option>
                    <option value="PZ-24">ПЗ-24</option>
                    <option value="PZ-25">ПЗ-25</option>
                    <option value="PZ-26">ПЗ-26</option>
                    <option value="PZ-27">ПЗ-27</option>
                </select>

                <label class="form-input-label">First Name:</label>
                <input id="addFirstName" type="text">
                
                <label class="form-input-label">Last Name:</label>
                <input id="addLastName" type="text">

                <label class="form-input-label">Gender:</label>
                <select id="addGender" name="gender">
                    <option value="male">M</option>
                    <option value="female">F</option>
                </select>

                <label class="form-input-label">Birthday:</label>
                <input id="addBirthday" type="date">
            </form>
            <div class="form-confirm-button-container">
                <button id="addStudentOkButton" class="form-confirm-button">Ok</button>
                <button id="addConfirmFormButton" class="form-confirm-button">Create</button>
            </div>
        </div>
    </div>

    <!-- Edit Student Form -->
    <div id="EditFormContainer" class="student-form">
        <div class="form">
            <div class="title-block">
                <h2 class="title">Edit student</h2>
                <button id="closeEditFormButton" class="close-form-button"></button>
            </div>
            <form id="EditStudentForm" action="students.html" class="form-input-container">

                <label class="form-input-label">Group:</label>
                <select name="group" id="editGroupSelect" class="group-select">
                    <option value="PZ-21">ПЗ-21</option>
                    <option value="PZ-22">ПЗ-22</option>
                    <option value="PZ-23">ПЗ-23</option>
                    <option value="PZ-24">ПЗ-24</option>
                    <option value="PZ-25">ПЗ-25</option>
                    <option value="PZ-26">ПЗ-26</option>
                    <option value="PZ-27">ПЗ-27</option>
                </select>

                <label class="form-input-label">First Name:</label>
                <input id="editFirstName" type="text">
                
                <label class="form-input-label">Last Name:</label>
                <input id="editLastName" type="text">

                <label class="form-input-label">Gender:</label>
                <select id="editGender" name="gender">
                    <option value="male">M</option>
                    <option value="female">F</option>
                </select>

                <label class="form-input-label">Birthday:</label>
                <input id="editBirthday" type="date">
            </form>
            <div class="form-confirm-button-container">
                <button class="form-confirm-button">Ok</button>
                <button id="editConfirmFormButton" class="form-confirm-button">Create</button>
            </div>
        </div>
    </div>
</body>
</html>